| ALUT-2.1.0.0: A binding for the OpenAL Utility Toolkit | Source code | Contents | Index

Sound.ALUT.Loaders

Portability | portable
Stability | provisional
Maintainer | sven.panne@aedion.de

Description
Documentation

type Phase = Float | Source

type Duration = Float | Source

data SoundDataSource a | Source

Constructors

File FilePath |
FileImage (MemoryRegion a) |
HelloWorld |
Sine Frequency Phase Duration |
Square Frequency Phase Duration |
Sawtooth Frequency Phase Duration |
Impulse Frequency Phase Duration |
WhiteNoise Duration |

Instances

Eq (SoundDataSource a)
Ord (SoundDataSource a)
Show (SoundDataSource a)

createBuffer :: SoundDataSource a -> IO Buffer | Source

createBufferData :: SoundDataSource a -> IO (BufferData b) | Source

bufferMIMETypes :: GettableStateVar [String] | Source

bufferDataMIMETypes :: GettableStateVar [String] | Source

Produced by Haddock version 0.9